/*
Copyright (C) 2004 Jacquelin POTIER <jacquelin.potier@free.fr>
Dynamic aspect ratio code Copyright (C) 2004 Jacquelin POTIER <jacquelin.potier@free.fr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
using System;

namespace WeatherNotify
{
	/// <summary>
	/// done to give similare use as php
	/// </summary>
	public class ClassNumberFormat
	{
        public static string number_format ( double number , int decimals)
        {
            System.Globalization.NumberFormatInfo nf=new System.Globalization.NumberFormatInfo();
            nf.NumberDecimalDigits=decimals;
            return number.ToString(nf);
        }

        public static string number_format ( double number, int decimals, string dec_point, string thousands_sep)
        {
            System.Globalization.NumberFormatInfo nf=new System.Globalization.NumberFormatInfo();
            nf.NumberDecimalDigits=decimals;
            nf.NumberDecimalSeparator=dec_point;
            nf.NumberGroupSeparator=thousands_sep;
            return number.ToString(nf);
        }
	}
}
