/*
Copyright (C) 2004 Jacquelin POTIER <jacquelin.potier@free.fr>
Dynamic aspect ratio code Copyright (C) 2004 Jacquelin POTIER <jacquelin.potier@free.fr>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
using System;

namespace WeatherNotify
{
	/// <summary>
	/// Summary description for ClassRunway.
	/// </summary>
	public class ClassRunway:ClassWeatherInformation
	{
        public int prefix =0; 
        public int max_prefix= 0;
        public int min_prefix= 0;

        public ClassLength length=null;
        public ClassLength min_length=null;
        public ClassLength max_length=null;

        public string tendency="";
        public string max_tendency="";
        public string min_tendency="";
        public string approach ="";
        public string nr="";

		public ClassRunway()
		{
            this.length=new ClassLength();
            this.max_length=new ClassLength();
            this.min_length=new ClassLength();
		}
	}
}
